# Class NullProperty

java.lang.Object
org.apache.jmeter.testelement.property.AbstractProperty
org.apache.jmeter.testelement.property.NullProperty

All Implemented Interfaces:
  `Serializable, Cloneable, Comparable<JMeterProperty>, JMeterProperty`

public final class NullProperty extends AbstractProperty
A null property.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class AbstractProperty

`log`

## Constructor Summary

Constructors
Constructor
Description
`NullProperty()`
`NullProperty(String name)`

## Method Summary

Modifier and Type
Method
Description
`NullProperty`
`clone()`
`boolean`
`getBooleanValue()`
Returns false if string is invalid or null.
`double`
`getDoubleValue()`
Returns 0 if string is invalid or null.
`float`
`getFloatValue()`
Returns 0 if string is invalid or null.
`int`
`getIntValue()`
Returns 0 if string is invalid or null.
`long`
`getLongValue()`
Returns 0 if string is invalid or null.
`Object`
`getObjectValue()`
`String`
`getStringValue()`
`boolean`
`isRunningVersion()`
Returns whether the property is a running version.
`void`
`mergeIn(JMeterProperty prop)`
Take the given property object and merge it's value with the current property object.
`void`
`recoverRunningVersion(TestElement owner)`
Tell the property to revert to the state at the time setRunningVersion(true) was called.
`void`
`setObjectValue(Object v)`

### Methods inherited from class AbstractProperty

`compareTo, convertObject, createProperty, equals, getBlankProperty, getBlankProperty, getIterator, getName, getPropertyType, hashCode, isEqualType, makeProperty, normalizeList, normalizeMap, setName, setRunningVersion, toString`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NullProperty

public NullProperty(String name)

### NullProperty

public NullProperty()

## Method Details

### getStringValue

public String getStringValue()

See Also:
  - `JMeterProperty.getStringValue()`

### setObjectValue

public void setObjectValue(Object v)

### getObjectValue

public Object getObjectValue()

See Also:
  - `JMeterProperty.getObjectValue()`

### isRunningVersion

public boolean isRunningVersion()
Description copied from class: `AbstractProperty`
Returns whether the property is a running version.

Specified by:
  `isRunningVersion` in interface `JMeterProperty`
Overrides:
  `isRunningVersion` in class `AbstractProperty`
Returns:
  flag whether this property is a running version
See Also:
  - `JMeterProperty.isRunningVersion()`

### mergeIn

public void mergeIn(JMeterProperty prop)
Description copied from class: `AbstractProperty`
Take the given property object and merge it's value with the current property object. For most property types, this will simply be ignored. But for collection properties and test element properties, more complex behavior is required.

Specified by:
  `mergeIn` in interface `JMeterProperty`
Overrides:
  `mergeIn` in class `AbstractProperty`
Parameters:
  `prop` - the property object to merge into this property
See Also:
  - `JMeterProperty.mergeIn(JMeterProperty)`

### clone

public NullProperty clone()
Description copied from class: `AbstractProperty`

Specified by:
  `clone` in interface `JMeterProperty`
Overrides:
  `clone` in class `AbstractProperty`

### getBooleanValue

public boolean getBooleanValue()
Description copied from class: `AbstractProperty`
Returns false if string is invalid or null.

Specified by:
  `getBooleanValue` in interface `JMeterProperty`
Overrides:
  `getBooleanValue` in class `AbstractProperty`
See Also:
  - `JMeterProperty.getBooleanValue()`

### getDoubleValue

public double getDoubleValue()
Description copied from class: `AbstractProperty`
Returns 0 if string is invalid or null.

Specified by:
  `getDoubleValue` in interface `JMeterProperty`
Overrides:
  `getDoubleValue` in class `AbstractProperty`
See Also:
  - `JMeterProperty.getDoubleValue()`

### getFloatValue

public float getFloatValue()
Description copied from class: `AbstractProperty`
Returns 0 if string is invalid or null.

Specified by:
  `getFloatValue` in interface `JMeterProperty`
Overrides:
  `getFloatValue` in class `AbstractProperty`
See Also:
  - `JMeterProperty.getFloatValue()`

### getIntValue

public int getIntValue()
Description copied from class: `AbstractProperty`
Returns 0 if string is invalid or null.

Specified by:
  `getIntValue` in interface `JMeterProperty`
Overrides:
  `getIntValue` in class `AbstractProperty`
See Also:
  - `JMeterProperty.getIntValue()`

### getLongValue

public long getLongValue()
Description copied from class: `AbstractProperty`
Returns 0 if string is invalid or null.

Specified by:
  `getLongValue` in interface `JMeterProperty`
Overrides:
  `getLongValue` in class `AbstractProperty`
See Also:
  - `JMeterProperty.getLongValue()`

### recoverRunningVersion

public void recoverRunningVersion(TestElement owner)
Description copied from interface: `JMeterProperty`
Tell the property to revert to the state at the time setRunningVersion(true) was called.

Parameters:
  `owner` - the owning element
See Also:
  - `JMeterProperty.recoverRunningVersion(TestElement)`